!set title=Vitesse et compteur
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Bernadette PERRIN-RIOU
email=bpr@math.u-psud.fr
computeanswer=no
precision=100

ansorder=r,r,r
varcnt=8
prevarcnt=7
postvarcnt=0
replycnt=3
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 0, 24

val6=$[$(tmp0)*5]
tmp0=!randint 0, 10

val7=$[rint($(tmp0))]
tmp0=!randint $val7+3, $val7+7

val8=$[rint($(tmp0))]
val9=$[rint($val8-$val7)]
val10=$[rint($val6*$val9)]
tmp0=!randint 10000, 10500

val11=$[rint($(tmp0))]
val12=$[rint($val11+$val10)]
oefsteps=reply1	reply2	reply3 
nextstep=!nosubst reply1	reply2	reply3 
!readproc oef/steps.proc
replytype1=units
replyname1=La distance parcourue est de
replygood1=$val10 km
replytype2=units
replyname2=Il a roulé pendant
replygood2=$val9 h
replytype3=units
replyname3=Sa vitesse moyenne horaire est de
replygood3=$val6 km/h
question=__EXECUTED_1692754_EXERCISE__
hint=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Un automobiliste part de son domicile à $val7 h00, 	son compteur indique $val11 km.	 Il revient à $val8 h00, son compteur 	marque $val12 km. <p>	 
!if $m_step=1 
$()Quelle distance a-t-il parcourue ?  
!endif
$()	 
!if $m_step=2 
$()Pendant combien de temps a-t-il roulé ? 
!endif
$()	 
!if $m_step=3 
$()En effet, il a parcouru $val10 km et a roulé pendant $val9 h.  Quelle a été sa vitesse moyenne horaire ? 
!endif
$()		<p><b><font color="purple"> Consigne : les unités sont demandées.</font></b>
$()
!exit

:hint
$() 
!if $m_step=1 
$()La distance parcourue est la différence entre ce qu'indique son compteur à l'arrivée et ce qu'il indique  au départ. 
!endif
$()	 
!if $m_step=2 
$()Le temps de parcours est la différence entre l'heure 	d'arrivée et l'heure de départ.  
!endif
$()	 
!if $m_step=3 
$()La vitesse moyenne horaire est égale à la distance parcourue 	divisée par le temps pendant lequel il a roulé 
!endif
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,10,11,12
embedcnt=0
